Error message when running 'Convert' tool under 'Genome Diversity' option

Hi,
I am getting the following error message when running ‘Convert’ tool under ‘Genome Diversity’ option for converting vcf file to gd_genotype format "a bytes-like object is required, not ‘str’ "

1 Like

Hello @Vijay_Kumar

Tools from the Genome Diversity tool group are known to be problematic due to the recent Python 3 upgrade at most public Galaxy servers, including usegalaxy.org.

A potential solution is in progress to address handling legacy tools dependent on a Python 2 environment, but the work is not completed yet: https://github.com/galaxyproject/usegalaxy-playbook/issues/288

Thanks!